# Activity

In the "Activity" section, an endpoint for retrieving all activities performed by team members in a project is described.

Below is an example of the project activities.

| Model           | Event   | User            | Date       |
| --------------- | ------- | --------------- | ---------- |
| first-project   | created | <test@test.com> | DD.MM.YYYY |
| virtual machine | created | <dev@test.com>  | DD.MM.YYYY |
| virtual machine | deleted | <prod@test.com> | DD.MM.YYYY |

## Retrieve Project Activities

<mark style="color:blue;">`GET`</mark> `{{BASE_URL}}/api/projects/{id}/activities`

Retrieve a log of all activities performed by team members within a specific project. This allows for tracking and monitoring project progress and interactions.

#### Headers

| Name                                            | Type   | Description  |
| ----------------------------------------------- | ------ | ------------ |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer Token |

{% tabs %}
{% tab title="200: OK " %}

```json
[
    {
        "_id": "6549e448186acd061209bdac",
        "virtualMachine": null,
        "database": {
            "_id": "6549e3b6186acd061209bd2f",
            "status": 3,
            "name": "kraud-cloud-mongodb-1vcpu-1gb-berlin-01"
        },
        "app": null,
        "k8s": null,
        "project": {
            "_id": "6548a41f38406c14db33b62c",
            "name": "first-project"
        },
        "event": 1,
        "user": {
            "_id": "6548a41138406c14db33b606",
            "name": "John Doe",
            "email": "john.doe@mail.com"
        },
        "createdAt": "2023-11-07T07:16:24.263Z",
        "updatedAt": "2023-11-07T07:16:24.263Z"
    }
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.enclaive.cloud/enclaive-multi-cloud-platform/developers/api/client-api/projects/activity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
